summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/d-i_manual.sh34
-rwxr-xr-xbin/housekeeping.sh3
2 files changed, 36 insertions, 1 deletions
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
new file mode 100755
index 00000000..eddbc3ad
--- /dev/null
+++ b/bin/d-i_manual.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+
+set -x
+set -e
+export LANG=C
+export MIRROR=http://ftp.de.debian.org/debian
+export http_proxy="http://localhost:3128"
+
+#
+# clean
+#
+rm -fv *.deb *.dsc *_*.build *_*.changes *_*.tar.gz
+
+#
+# prepare build
+#
+cd manual
+sudo pdebuild
+if [ -f /var/base.tgz ] ; then
+ sudo pbuilder --create
+else
+ sudo pbuilder --update
+fi
+
+#
+# build
+#
+cd ..
+sudo pbuilder --build *dsc
+
diff --git a/bin/housekeeping.sh b/bin/housekeeping.sh
index 15ba7e50..aef1d727 100755
--- a/bin/housekeeping.sh
+++ b/bin/housekeeping.sh
@@ -8,7 +8,8 @@ uptime
echo
df -h
echo
-for DIR in /var/cache/apt/archives/ /var/spool/squid/ /var/lib/jenkins/jobs/ ; do
+# FIXME: make this a general and a specific housekeeping job:
+for DIR in /var/cache/apt/archives/ /var/spool/squid/ /var/lib/jenkins/jobs/ /var/cache/pbuilder/build/ ; do
sudo du -sh $DIR
done
echo